# 32/64bit spec-file
#
%define name libstatgrab
%define version 0.17
%define release %mkrel 2

%define shortname statgrab
%define major 6
%define libname %mklibname %shortname %major
%define libnamedev %mklibname %shortname -d

Summary: Make system statistics
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://freshmeat.net/redir/libstatgrab/39879/url_tgz/%{name}-%{version}.tar.xz
Patch0: %{name}.nochmod.patch
License: GPL
Group: Monitoring
Url: http://www.i-scream.org/libstatgrab/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more. 

The current list of platforms is Solaris 2.x, Linux, and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible. 

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the 
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C 
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab. 

%package -n %shortname-tools
Summary: Tools from %name to monitoring the system
Group: Monitoring

%description -n %shortname-tools
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more. 

The current list of platforms is Solaris 2.x, Linux , and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible. 

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the 
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C 
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab. 

%package -n %libname
Summary: The %name libraries
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more. 

The current list of platforms is Solaris 2.x, Linux, and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible. 

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the 
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C 
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab. 

%package -n %libnamedev
Summary: The development files from %name libraries
Group: Development/Libraries
Provides: %name-devel = %version-%release
Requires: %libname = %version

%description -n %libnamedev
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more. 

The current list of platforms is Solaris 2.x, Linux, and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible. 

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the 
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C 
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab. 

%prep
%setup -q
%patch0 -p0

%build

export LDFLAGS="-ltinfo"

%configure2_5x --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT



%files -n %shortname-tools
%defattr(-,root,root)
%doc AUTHORS INSTALL README ChangeLog NEWS
%_bindir/*
%_mandir/*/*

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS INSTALL README ChangeLog NEWS
%_libdir/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc AUTHORS INSTALL README ChangeLog NEWS
%_libdir/*.so
%_includedir/*.h
%_libdir/pkgconfig/%name.pc



%changelog
* Fri Aug 12 2016 adrianomorselli <adrianomorselli> 0.17-2uplos2015
- rebuild

* Tue Nov 10 2015 bb <bb> 0.17-2pclos2015
- rebuild for updates


* Tue Mar 26 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.17-1pclos2013
- 0.17
- renamed spec to pclos-libstatgrab.spec
- added exclude for static libraries
- added xz compression for source
- replaced normal configure macro by configure2_5x without it does not build
- removed major number from devel package name by creating new libnamedev macro

